.icon {
  display: block;
  position: relative;
  width: rem(30);
  height: rem(30);
  flex-shrink: 0;

  svg, img {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    max-width: 100%;
    max-height: 100%;
    fill: currentColor;
  }

  &--i {
    display: inline-block;
    vertical-align: middle;
    margin-top: -2px;
  }

  &--md{
    width: rem(24);
    height: rem(24);
  }

  &--sm {
    width: rem(20);
    height: rem(20);
  }

  &--xs {
    width: rem(16);
    height: rem(16);
  }

  &--xxs {
    width: rem(9);
    height: rem(9);
  }

  &--black {
    svg {
      fill: #666;
    }
  }

  &--green {
    svg {
      fill: #5a9917;
    }
  }

  &--red {
    svg {
      fill: #d33a1c;
    }
  }

  &--blue {
    svg {
      fill: #005cff;
    }
  }

  &--gray {
    svg {
      fill: #d6d6d6;
    }
  }
}

.round-icon {
  color: $color-white-1;
  font-size: rem(12);
  width: rem(24);
  height: rem(24);
  background: #bcbcbc;
  border-radius: 50%;
  overflow: hidden;
  line-height: rem(24);
  text-align: center;
  display: inline-block;
  vertical-align: middle;
  //pointer-events: none;
  //touch-events:none;
  //-webkit-touch-callout: none;
}
